LoadProperties (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: LoadProperties

# Class LoadProperties

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.LoadProperties

All Implemented Interfaces:
  `Cloneable`

public class LoadProperties extends Task
Load a file's contents as Ant properties.

Since:
  Ant 1.5

- ## Field Summary

  ### Fields inherited from class Task

  `target, taskName, taskType, wrapper`
  Modifier and Type
  Field
  Description
  `protected Target`
  `target`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskName`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskType`
  Deprecated.
  since 1.6.x.
  `protected RuntimeConfigurable`
  `wrapper`
  Deprecated.
  since 1.6.x.

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoadProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConfigured(ResourceCollection a)`
  Set the source resource.
  `final void`
  `addFilterChain(FilterChain filter)`
  Adds a FilterChain.
  `Path`
  `createClasspath()`
  Add a classpath to use when looking up a resource.
  `final void`
  `execute()`
  load Ant properties from the source file or resource
  `Path`
  `getClasspath()`
  get the classpath used by this `LoadProperties`.
  `void`
  `setClasspath(Path classpath)`
  Set the classpath to use when looking up a resource.
  `void`
  `setClasspathRef(Reference r)`
  Set the classpath to use when looking up a resource, given as reference to a <path> defined elsewhere
  `final void`
  `setEncoding(String encoding)`
  Encoding to use for input, defaults to the platform's default encoding.
  `void`
  `setPrefix(String prefix)`
  Set the prefix to load these properties under.
  `void`
  `setPrefixValues(boolean b)`
  Whether to apply the prefix when expanding properties on the right hand side of a properties file as well.
  `void`
  `setResource(String resource)`
  Set the resource name of a property file to load.
  `final void`
  `setSrcFile(File srcFile)`
  Set the file to load.

  ### Methods inherited from class Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`
  Modifier and Type
  Method
  Description
  `final void`
  `bindToOwner(Task owner)`
  Bind a task to another; use this when configuring a newly created task to do work on behalf of another.
  `Target`
  `getOwningTarget()`
  Returns the container target of this task.
  `RuntimeConfigurable`
  `getRuntimeConfigurableWrapper()`
  Returns the wrapper used for runtime configuration.
  `String`
  `getTaskName()`
  Returns the name to use in logging messages.
  `String`
  `getTaskType()`
  Return the type of task.
  `protected RuntimeConfigurable`
  `getWrapper()`
  Return the runtime configurable structure for this task.
  `protected void`
  `handleErrorFlush(String output)`
  Handles an error line by logging it with the WARN priority.
  `protected void`
  `handleErrorOutput(String output)`
  Handles an error output by logging it with the WARN priority.
  `protected void`
  `handleFlush(String output)`
  Handles output by logging it with the INFO priority.
  `protected int`
  `handleInput(byte[] buffer, int offset, int length)`
  Handle an input request by this task.
  `protected void`
  `handleOutput(String output)`
  Handles output by logging it with the INFO priority.
  `void`
  `init()`
  Called by the project to let the task initialize properly.
  `protected final boolean`
  `isInvalid()`
  Has this task been marked invalid?
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(String msg, Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `maybeConfigure()`
  Configures this task - if it hasn't been done already.
  `final void`
  `perform()`
  Performs this task if it's still valid, or gets a replacement version and performs that otherwise.
  `void`
  `reconfigure()`
  Force the task to be reconfigured from its RuntimeConfigurable.
  `void`
  `setOwningTarget(Target target)`
  Sets the target container of this task.
  `void`
  `setRuntimeConfigurableWrapper(RuntimeConfigurable wrapper)`
  Sets the wrapper to be used for runtime configuration.
  `void`
  `setTaskName(String name)`
  Sets the name to use in logging messages.
  `void`
  `setTaskType(String type)`
  Sets the name with which the task has been invoked.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoadProperties

    public LoadProperties()

- ## Method Details

  - ### setSrcFile

    public final void setSrcFile(File srcFile)
    Set the file to load.
    Parameters:
      `srcFile` - The new SrcFile value

  - ### setResource

    public void setResource(String resource)
    Set the resource name of a property file to load.
    Parameters:
      `resource` - resource on classpath

  - ### setEncoding

    public final void setEncoding(String encoding)
    Encoding to use for input, defaults to the platform's default encoding.

    For a list of possible values see https://docs.oracle.com/javase/8/docs/technotes/guides/intl/encoding.doc.html .

    Parameters:
      `encoding` - The new Encoding value

  - ### setClasspath

    public void setClasspath(Path classpath)
    Set the classpath to use when looking up a resource.
    Parameters:
      `classpath` - to add to any existing classpath

  - ### createClasspath

    public Path createClasspath()
    Add a classpath to use when looking up a resource.
    Returns:
      The classpath to be configured

  - ### setClasspathRef

    public void setClasspathRef(Reference r)
    Set the classpath to use when looking up a resource, given as reference to a <path> defined elsewhere
    Parameters:
      `r` - The reference value

  - ### getClasspath

    public Path getClasspath()
    get the classpath used by this `LoadProperties`.
    Returns:
      The classpath

  - ### setPrefix

    public void setPrefix(String prefix)
    Set the prefix to load these properties under.
    Parameters:
      `prefix` - to set

  - ### setPrefixValues

    public void setPrefixValues(boolean b)
    Whether to apply the prefix when expanding properties on the right hand side of a properties file as well.
    Parameters:
      `b` - boolean
    Since:
      Ant 1.8.2

  - ### execute

    public final void execute() throws BuildException
    load Ant properties from the source file or resource
    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if something goes wrong with the build

  - ### addFilterChain

    public final void addFilterChain(FilterChain filter)
    Adds a FilterChain.
    Parameters:
      `filter` - the filter to add

  - ### addConfigured

    public void addConfigured(ResourceCollection a)
    Set the source resource.
    Parameters:
      `a` - the resource to load as a single element Resource collection.
    Since:
      Ant 1.7